Bug 101341 - RH9 kickstart/NFS installation fails - unhandled exception
RH9 kickstart/NFS installation fails - unhandled exception
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 19:31 EDT by Jeff Gronek
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-02 13:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump for "unhandled exception" during RH9 kickstart (698.39 KB, text/plain)
2003-07-31 16:37 EDT, Jeff Gronek
no flags Details

  None (edit)
Description Jeff Gronek 2003-07-30 19:31:14 EDT
Description of problem:
 RH9 kickstart/NFS installation fails with anaconda throwing "unhandled exception".

Version-Release number of selected component (if applicable):
 RH9; anaconda-9.0-4 and anaconda-runtime-9.0-4.

How reproducible:
 Attempt to start kickstart using Solaris NFS server as distribution source.
The installer will ask for the IP number and default gateway for the machine to
be installed.  After (during?) the "Reading packages" phase, the unhandled
exception is seen, and no further progress is made.

Steps to Reproduce:
1.Boot custom RH9 cd built from RH9 cd 1/3 isolinux tree and containing custom
isolinux.cfg and ks.cfg files.
2.Enter IP number and gateway for workstation.
3.Exception thrown after "Reading packages" is displayed.
    
Actual results:
 Kickstart installation fails.

Expected results:
 Installation would succeed.

Additional info:
 Components involved: custom RH9 boot CD, custom isolinux.cfg and ks.cfg files
in root of this boot CD, Solaris NFS server with RedHat9 CDs copied to an NFS
shared filesystem, Addition of three packages to the RedHat distribution, with
modification of comps.xml, and regeneration of hdlist and hdlist2 files.
Comment 1 Michael Fulbright 2003-07-31 15:04:59 EDT
It will help us identify the issue if the contents of the exception window were
made available as an attachment to this report.
Comment 2 Jeff Gronek 2003-07-31 16:37:43 EDT
Created attachment 93305 [details]
Anaconda dump for "unhandled exception" during RH9 kickstart

When kickstart halts, VC2 (Alt+F2) shows that the NFS server has been properly
mounted on /mnt/source.

VC3 (Alt+F3) has the following as the last line of output:

* Using file:///mnt/source/./RedHat/base/comps.xml

  I will try rebuilding this distribution without my added packages (i.e., with

a "clean" comps.xml file) to see if this, rather than anaconda, is the source
of the problem.
Comment 3 Michael Fulbright 2003-08-18 12:13:55 EDT
Great let us know how it works out.
Comment 4 Jeff Gronek 2003-09-02 13:25:12 EDT
    Well, the comps.xml file appears to be the source of the problem.  Building
a clean distribution without additions allow kickstart to proceed smoothly.
Consider this resolved.

Note You need to log in before you can comment on or make changes to this bug.